/***************************************************************************
 *   Copyright (C) 2008 by Alvaro Garcia   								   *
 *   maxpowel@gmail.com   												   *
 *      														           *
 * 	 This file is part of AFEBL                                            *
 * 																		   *
 *   AFBL is free software; you can redistribute it and/or modify          *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.       *
 ***************************************************************************/
#include "afeblpostdata.h"
#include <sstream>
AFEBLpostData::AFEBLpostData()
{
}


AFEBLpostData::~AFEBLpostData()
{
}

string AFEBLpostData::build()
{
	//this->show();
	string data;
	stringstream size;
	for(this->element=this->elements.begin();this->element!=this->elements.end();this->element++)
	{
		data+=this->element->first +"="+this->element->second+"&";
	}
	if(data.length()>0)
	{
		data.resize(data.length()-1);
		size<<data.length();
		data="Content-Length: "+size.str()+"\r\nContent-Type: application/x-www-form-urlencoded\r\n\r\n"+data+"\r\n";
	}
	return data;
}
