/***************************************************************************
 *   Copyright (C) 2008 by Alvaro Garcia   								   *
 *   maxpowel@gmail.com   												   *
 *      														           *
 * 	 This file is part of AFEBL                                            *
 * 																		   *
 *   AFBL is free software; you can redistribute it and/or modify          *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.       *
 ***************************************************************************/
#include "afeblcookies.h"

AFEBLcookies::AFEBLcookies()
{
}


AFEBLcookies::~AFEBLcookies()
{
}

string AFEBLcookies::buildCookies()
{
	string cookie;
	for(this->element=this->elements.begin();this->element!=this->elements.end();this->element++)
	{
		cookie+=" "+this->element->first +"="+this->element->second+";";
	}
	if(cookie.length()>0) cookie="Cookie:"+cookie+"\r\n";
	return cookie;
}
